%define module Net-Daemon
Name: perl-%module
Version: 0.37
Release: alt2

Summary: Perl extension for portable daemons
License: GPL or Artistic
Group: Development/Perl

Url: http://search.cpan.org/dist/%module/
Source0: %module-%version.tar.bz2

BuildArch: noarch

# Automatically added by buildreq on Mon Oct 20 2003
BuildRequires: perl-devel

%description
Net::Daemon is an abstract base class for implementing portable
server applications.

%prep
%setup -q -n %module-%version

%build
%if "%(logger -d -u /dev/log -p user.debug test &>/dev/null || echo no)" == "no"
: syslog not available
%def_without test
%endif

%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README MANIFEST ChangeLog
%perl_vendor_privlib/Net*
%perl_vendor_man3dir/*

%changelog
* Mon Oct 20 2003 Alexey Tourbin <at@altlinux.ru> 0.37-alt2
- skip test when syslog not available

* Fri Nov 01 2002 Stanislav Ievlev <inger@altlinux.ru> 0.37-alt1
- Inital release for ALT
